using CallCenter.Utility;
using CallCenter.Utility.Linq;

using CallCenter.Utility.Time;
using CallCenterApi.Common;
using CallCenterApi.DB;
using CallCenterApi.Interface.Controllers.Base;
using CallCenterApi.Interface.Models.Dto;
using CallCenterApi.Model;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Web;
using System.Web.Mvc;
namespace CallCenterApi.Interface.Controllers.report
{
    [Authority]
    public class YSReportController : BaseController
    {
        /// <summary>
        /// 营商统计工作报表
        /// </summary>
        /// <param name="starttime"></param>
        /// <param name="endtime"></param>
        /// <returns></returns>
        public ActionResult TJGongZuo(DateTime ?  starttime, DateTime? endtime, bool isdc = false)
        {
            string strdate = ""; string edate = "";
            if (starttime==null )
            {
                strdate = new DateTime(DateTime .Now .Year, DateTime.Now.Month, 1) .ToString("yyyy-MM-dd HH:mm:ss");
            }
            else
            {
                strdate = starttime.Value.ToString("yyyy-MM-dd HH:mm:ss");

            }
            if (endtime == null)
            {
                edate = DateTime.Now.ToString("yyyy-MM-dd HH:mm:ss");


            }
            else
            {
                edate = endtime.Value.ToString("yyyy-MM-dd HH:mm:ss");
            }

            return Success("");
        }
    }
}